@charset "UTF-8";

/* 

    Pruebas para realizar mi PANEL DE CONTROL

*/

* {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    margin: 0;
    padding: 0;}

a {
    color: #00b7ff; 
    text-decoration: none;}

a:visited {color: #00c3ff; /* Color despues del clic */}

p {color: white;;}

body {
    background-color: #eeeeee;
    height: 200vh;
}

img {
    max-width: 100%;
    height: auto;}

#top-title-logo {
    position: relative;
    left: 12%;
    transform: translateX(-50%);
    top: 0;
    width: 27%;
    height: auto;
    display: block;
    margin: 0 auto;
    border-radius: 30%;}

@media (max-width: 1024px) {
    #top-title-logo {
        width: 90px;
        left: 47%;
        padding-bottom: 2em;
    }}

header {
    
    position: sticky;
    position: -webkit-sticky;
    top: 0;
    left: 0;
    max-width: 100%;
    z-index: 1000;

    border-bottom: .1em solid black ;
    background: linear-gradient(to right, #002f5e, #0080ff) !important;
    font-style: italic;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 7em;
    color: white;

    box-shadow: 0 1em 3em #000}

.loginButton {
    
    /* Estructura y forma */
    display: inline-block;
    padding: .2em 2em;
    border-radius: 0.5em;
    position: relative;
    
    left: 90%;
    
    background-color: #FFF;
    color: #1a3a5a;

    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 1em;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 0.01em;
    text-decoration: none;

    /* Decoración */
    cursor: pointer;
    transition: all 0.3s ease;
    box-shadow: 5px 6px 12px rgba(0,0,0,0.6);
    font-size: .9em;
    background-color: #FFF ;
    border: none;}

@media (min-width: 1025px) {
    .loginButton {
        position: absolute;
        left: 90%;
        top: 35px;
        transform: none;
    }}

@media (max-width: 501px) {
    .loginButton {
        position: absolute;
        left: 50%;
        top: 70%;
        transform: translateX(-50%)

    }}

.loginButton:hover {

    background-color: #f8f9fa;
    transform: translateY(-2px);
    box-shadow: 0 6px 12px rgba(0,0,0,0.15);}

.loginButton:active {
    transform: translateY(0)}

.enlacePanel {

    display: inline-block;
    cursor: pointer;
    transition: transform 0.5s cubic-bezier(0.4, 0, 0.2, 1);
    font-size: 0.9em;}

.enlacePanel:hover{transform: scale(0.9);}

div {position: relative;}

.anuncioWarnings {

    border-top-left-radius: 0.2em;
    border-top-right-radius: 0.2em;
    margin-top: 3em;
    padding-top: .5em;
    padding-bottom: .5em;
    background: linear-gradient(to right,#002f5e, #0080ff);
    text-align: center;}

.firstbox {

    border-bottom-left-radius: 0.2em;
    border-bottom-right-radius: 0.2em;
    margin-top: 0;
    padding-top: 4rem ;
    padding-bottom: 4rem;
    background: linear-gradient(to right, #002f5e, #0080ff);

    font-size: 2em;}

.firstbox p {

    margin-left:    .5em;
    margin-right:   .5em;
    text-align: center;}

.firstcontainers {

    display: flex;
    flex-direction: row;
    justify-content: center;
    flex-wrap: wrap;
    gap: 20px;
    padding: 20px;
    box-sizing: border-box;}


.con2 {

    flex: 1 1 250px;         /* Intenta medir 250px, si no cabe, salta */
    min-width: 200px;        /* Evita que se compriman demasiado */
    max-width: 100%;         /* En móviles ocuparán casi todo el ancho */
    
    background: linear-gradient(to right, #0056ac, #00b7ff);
    color: white;
    padding: 20px;
    border-radius: 10px;
    flex: 1;          
    max-width: 300px;  
    text-align: center;
    min-height: 50px;  
    font-style: italic;

    cursor: pointer;
    transform: translate 1s cubic-bezier(0.4, 0, 0.2, 1);}

.con2:hover {transform: scale(1.05);}

@media (max-width: 768px) {
    .firstcontainers {
        flex-direction: column;
        align-items: center;
}
    .con2 {
        width: 90%;
    }}

.secondbox {

    padding: 1rem;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 2rem;
    flex: 1 1 300px;

}

.con1 {
    
    min-width: 200px;
    max-width: 100%;
    max-height: auto;
    width: 49%;
    padding-top: 1rem;
    padding-left: 2rem ;

    background: linear-gradient(to left, #ffffff, #e4e4e4);
    border-radius: 1rem;
    box-shadow: .1rem .1rem 2rem #00000077;

    border: 1px solid black;
    box-sizing: border-box;
    justify-content: left;
    align-items: center;
    position: relative;

}

@media (max-width: 1630px) {
    .con1 {
        max-width: 100%;
        width: 100%;

    
}}
    #img1 {
        border-radius: 1rem;
        box-shadow: 0.1rem 0.1rem 2rem rgba(0, 0, 0, 0.493);
        width: 15%;
        height: auto;
        border: .1rem solid white;
        margin-left: auto;
        flex-shrink: 0;
    }

@media (max-width: 400px) {
    .ul1 li {
        flex-direction: column;
        align-items: center;
    }

    .ul1 li span {
        width: 100%;
        margin-bottom: 10px;
    }

    #img1 {
        width: 50%;
        height: auto;
        margin: 0 auto;
    }
    
}

.ul1 li {

    display: flex;
    flex: wrap;
    gap: .5rem;
    align-items: center;
    justify-content: flex-start;
    padding: 10px 20px;
    list-style: none;
    padding: 1rem;
    text-align: center;
    
}

#strong3 {

    color: rgb(255, 0, 200);
    text-shadow: .5rem .5rem 1rem rgb(255, 0, 234);
}

#strong4 {
    color: rgb(255, 0, 0);
    text-shadow: .5rem .5rem 1rem rgb(255, 0, 0);
}

.secondbox-2 {
    margin: 2em;
}